/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.controller
 *  ファイル：LoadDataActCommand.java
 *  説明：
 *
 *  作成日: 2004/01/20
 */
package openolap.viewer.controller;

import java.io.IOException;

import javax.servlet.ServletException;

import openolap.viewer.common.CommonSettings;
import openolap.viewer.dao.AxisDAO;
import openolap.viewer.dao.DAOFactory;
import openolap.viewer.manager.CellDataManager;

/**
 *  クラス：LoadDataActCommand
 *  説明：
 */
public class LoadDataActCommand implements Command {

	public String execute(RequestHelper helper, CommonSettings commonSettings)
		throws ServletException, IOException {

		// 軸のデフォルトメンバ情報を更新
		AxisDAO axisDAO = DAOFactory.getDAOFactory().getAxisDAO(null);
		axisDAO.registDefaultMember(helper, commonSettings);

		// セルデータ取得条件をSessionに一時保存
		CellDataManager.saveRequestParamsToSession(helper);

		return "/spread/dataSetAct.jsp";
	}


}
